using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Syncfusion.Windows.Forms.Diagram;
using Syncfusion.Windows.Forms.Diagram.Controls;

namespace ResetOverview_Sample
{
    public partial class Form1 : Form
    {
        private SizeF m_modelsMinSize;

        public Form1()
        {
            InitializeComponent();
        }
        private void Form1_Load(object sender, EventArgs e)
        {

            this.overviewControl1.Model = this.diagram1.Model;
            this.overviewControl1.View = this.diagram1.View;
        }
        private void menuItemdrawSymbol_Click(object sender, EventArgs e)
        {
            MySymbol newSym = new MySymbol();
            this.diagram1.Controller.RegisterTool(new InsertSymbolTool("InsertSymbolTool",typeof(MySymbol)));            
            this.diagram1.Controller.ActivateTool("InsertSymbolTool");            
        }
        private void menuItemExit_Click(object sender, EventArgs e)
        {
            this.Close();
        }
        private void menuItemSizeToContent_Click(object sender, EventArgs e)
        {
            SizeF nodesBoundsSize = SizeF.Empty;
            if (this.diagram1.Controller.Model.BoundaryConstraintsEnabled == false)
            {
                foreach (INode node in this.diagram1.Controller.Model.Nodes)
                {
                    IBounds2DF boundsNode = node as IBounds2DF;

                    // Find as larger width and height.
                    if (nodesBoundsSize.Height < boundsNode.Bounds.Bottom)
                        nodesBoundsSize.Height = boundsNode.Bounds.Bottom;

                    if (nodesBoundsSize.Width < boundsNode.Bounds.Right)
                        nodesBoundsSize.Width = boundsNode.Bounds.Right;
                }
                // If size of collection is larger of minimum size change model size.
                // Else if size of collection is smaller of minimum back model size to minimum.
                this.diagram1.Controller.Model.Width = (m_modelsMinSize.Width >= nodesBoundsSize.Width)
                    ? m_modelsMinSize.Width : nodesBoundsSize.Width; ;
                this.diagram1.Controller.Model.Height = (m_modelsMinSize.Height >= nodesBoundsSize.Height)
                    ? m_modelsMinSize.Height : nodesBoundsSize.Height; ;
                this.diagram1.Controller.Model.UpdateViews();
            }
        }
    }
}